package com.yingxin.prms.dto;

/**
 * Created by gaoxiang on 2019/8/13.
 */
public class TcpFlowNodeDto {
    private String key;   //标识
    /**/
    private String category;   //图标标识

    private String description;

    private String descriptionCss;

    private String pos;

    private String text;

    private String serverName;  //集群名

    private String imgsrc;

    private String caption;

    private int tcpTransactionTotalCount;

    private int errorTcpTransactionTotalCount;
    private int faultCount;   //错误数
    private String url;  //服务路径

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getFaultCount() {
        return faultCount;
    }

    public void setFaultCount(int faultCount) {
        this.faultCount = faultCount;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getPos() {
        return pos;
    }

    public void setPos(String pos) {
        this.pos = pos;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getServerName() {
        return serverName;
    }

    public void setServerName(String serverName) {
        this.serverName = serverName;
    }

    public String getImgsrc() {
        return imgsrc;
    }

    public void setImgsrc(String imgsrc) {
        this.imgsrc = imgsrc;
    }

    public String getCaption() {
        return caption;
    }

    public void setCaption(String caption) {
        this.caption = caption;
    }

    public int getTcpTransactionTotalCount() {
        return tcpTransactionTotalCount;
    }

    public void setTcpTransactionTotalCount(int tcpTransactionTotalCount) {
        this.tcpTransactionTotalCount = tcpTransactionTotalCount;
    }

    public int getErrorTcpTransactionTotalCount() {
        return errorTcpTransactionTotalCount;
    }

    public void setErrorTcpTransactionTotalCount(int errorTcpTransactionTotalCount) {
        this.errorTcpTransactionTotalCount = errorTcpTransactionTotalCount;
    }

    public String getDescriptionCss() {
        return descriptionCss;
    }

    public void setDescriptionCss(String descriptionCss) {
        this.descriptionCss = descriptionCss;
    }

    @Override
    public String toString() {
        return "TcpFlowNodeDto{" +
                "key='" + key + '\'' +
                ", category='" + category + '\'' +
                ", description='" + description + '\'' +
                ", descriptionCss='" + descriptionCss + '\'' +
                ", pos='" + pos + '\'' +
                ", text='" + text + '\'' +
                ", serverName='" + serverName + '\'' +
                ", imgsrc='" + imgsrc + '\'' +
                ", caption='" + caption + '\'' +
                ", tcpTransactionTotalCount=" + tcpTransactionTotalCount +
                ", errorTcpTransactionTotalCount=" + errorTcpTransactionTotalCount +
                '}';
    }
}
